(function () {
    "use strict";

    angular.module('pos').controller('consumivelController', controller);
    controller.$inject = ['$scope', '$state', '$stateParams', '$window', 'clienteService', 'entidadeAuxiliarService'];

    function controller($scope, $state, $stateParams, $window, clienteService, entidadeAuxiliarService) {
        $scope.Title = "Consumível";

        $scope.state = {
            filtro: { ativo: false }
        };

        $scope.auxiliar = {
            seriesNf: [],
            ordenacao: ["swap_vert", "keyboard_arrow_down", "keyboard_arrow_up"],
            ordenadorData: 0,
            ordenadorNumero: 0,
        }




        var initilize = function () {
            $scope.refresh();
        }


        $scope.changeOrdenacaoData = function () {
            $scope.auxiliar.ordenadorData = ($scope.auxiliar.ordenadorData == 2 ? 0 : ++$scope.auxiliar.ordenadorData);
            $scope.auxiliar.ordenadorNumero = 0;
            if ($scope.auxiliar.ordenadorData > 0) {
                $scope.dateStyle = { color: '#ffffff' };
                $scope.numberStyle = { color: '#666666' };
            }
            else {
                $scope.dateStyle = { color: '#666666' };
                $scope.numberStyle = { color: '#666666' };
            }

        }

        $scope.changeOrdenacaoNumero = function () {
            $scope.auxiliar.ordenadorNumero = ($scope.auxiliar.ordenadorNumero == 2 ? 0 : ++$scope.auxiliar.ordenadorNumero);
            $scope.auxiliar.ordenadorData = 0;
            if ($scope.auxiliar.ordenadorNumero > 0) {
                $scope.dateStyle = { color: '#666666' };
                $scope.numberStyle = { color: '#ffffff' };
            }
            else {
                $scope.dateStyle = { color: '#666666' };
                $scope.numberStyle = { color: '#666666' };
            }

        }

        var getOrdenacao = function () {
            var filtro = 0;
            if ($scope.auxiliar.ordenadorData > 0)
                filtro = $scope.auxiliar.ordenadorData - 1;
            else if ($scope.auxiliar.ordenadorNumero > 0)
                filtro = $scope.auxiliar.ordenadorNumero + 1;
            else
                filtro = null;

            $scope.state.filtro.ordenacao = filtro;
        }

        $scope.filtrarDestinatario = function () {

        }

        var buscarTopCliente = function (chave) {
            clienteService.GetTopCliente(chave).then(
                function (response) {
                    $scope.cliente.clientes
                },
                function (error) {
                    $scope.$parent.toastr.error(error, 'Serviço');
                });
        }

        var buscarTopFornecedor = function (chave) {
            entidadeAuxiliarService.getTopFornecedor(chave).then(
               function (response) {

               },
               function (error) {
                   $scope.$parent.toastr.error(error, 'Serviço');
               });
        }

        var buscarTopFilial = function (chave) {
            entidadeAuxiliarService.getTopFilial(chave).then(
               function (response) {

               },
               function (error) {
                   $scope.$parent.toastr.error(error, 'Serviço');
               });
        }

        $scope.toggleFilter = function () {
            $scope.state.filtro.ativo = !$scope.state.filtro.ativo;
        }

        $scope.refresh = function () {
            console.log("1");
        }




        initilize();
    }

})();